net.sf.jasperreports.components.sort

## Class SortComponentXmlWriter

- java.lang.Object
- - net.sf.jasperreports.components.AbstractComponentXmlWriter
  - - net.sf.jasperreports.components.sort.SortComponentXmlWriter

- All Implemented Interfaces:
    ComponentXmlWriter

      public class SortComponentXmlWriter
      extends AbstractComponentXmlWriter

  Version:
    $Id: SortComponentXmlWriter.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_HANDLER_FONT_SIZE`

    - ### Fields inherited from class net.sf.jasperreports.components.AbstractComponentXmlWriter

      `jasperReportsContext, PROPERTY_COMPONENTS_PREFIX, PROPERTY_COMPONENTS_VERSION_SUFFIX, versionComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortComponentXmlWriter()` Deprecated. Replaced by `SortComponentXmlWriter(JasperReportsContext)`.
    `SortComponentXmlWriter(JasperReportsContext jasperReportsContext)`
    `SortComponentXmlWriter(JasperReportsContext jasperReportsContext, java.lang.String version, VersionComparator versionComparator)` Deprecated. Replaced by `SortComponentXmlWriter(JasperReportsContext)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isToWrite(JRComponentElement componentElement, JRXmlWriter reportWriter)` Specifies whether this component should be written out.
    `protected void` | `writeSortComponent(JRComponentElement componentElement, JRXmlWriter reportWriter)`
    `void` | `writeToXml(JRComponentElement componentElement, JRXmlWriter reportWriter)` Outputs the XML representation of a component.

    - ### Methods inherited from class net.sf.jasperreports.components.AbstractComponentXmlWriter

      `getVersion, isNewerVersionOrEqual, isOlderVersionThan, writeExpression, writeExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_HANDLER_FONT_SIZE

          public static final java.lang.String PROPERTY_HANDLER_FONT_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SortComponentXmlWriter

          public SortComponentXmlWriter()

      Deprecated. Replaced by `SortComponentXmlWriter(JasperReportsContext)`.

    - #### SortComponentXmlWriter

          public SortComponentXmlWriter(JasperReportsContext jasperReportsContext)

    - #### SortComponentXmlWriter

          public SortComponentXmlWriter(JasperReportsContext jasperReportsContext,
                                java.lang.String version,
                                VersionComparator versionComparator)

      Deprecated. Replaced by `SortComponentXmlWriter(JasperReportsContext)`.

  - ### Method Detail

    - #### isToWrite

          public boolean isToWrite(JRComponentElement componentElement,
                          JRXmlWriter reportWriter)

      Description copied from interface: `ComponentXmlWriter`
      Specifies whether this component should be written out. This is useful for versioning.

    - #### writeToXml

          public void writeToXml(JRComponentElement componentElement,
                        JRXmlWriter reportWriter)
                          throws java.io.IOException

      Description copied from interface: `ComponentXmlWriter`
      Outputs the XML representation of a component.
      Parameters:
        `componentElement` - the component element
        `reportWriter` - the report writer to which output is to be written
      Throws:
        `java.io.IOException` - exceptions produced while writing to the output stream
      See Also:
        `ComponentKey.getNamespacePrefix()`, `JRXmlWriter.getXmlWriteHelper()`

    - #### writeSortComponent

          protected void writeSortComponent(JRComponentElement componentElement,
                                JRXmlWriter reportWriter)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com